"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.addError = addError;
exports.removeError = removeError;
exports.resetErrors = resetErrors;
exports.RESET_ERRORS = exports.REMOVE_ERROR = exports.ADD_ERROR = void 0;
var ADD_ERROR = 'errors/ADD_ERROR';
exports.ADD_ERROR = ADD_ERROR;
var REMOVE_ERROR = 'errors/REMOVE_ERROR';
exports.REMOVE_ERROR = REMOVE_ERROR;
var RESET_ERRORS = 'errors/RESET_ERRORS';
/**
 * Creates an error to track
 * @param {Object} error
 * @param {String} error.actionTitle
 * @param {String} error.id
 * @param {String} error.displayTitle
 * @param {String} error.displaySubtitle
 * @param {Function} error.onAction
 * @param {Boolean} error.temporary
 * @param {String} error.code
 * @returns {Object}
 */

exports.RESET_ERRORS = RESET_ERRORS;

function addError(error) {
  return {
    type: ADD_ERROR,
    payload: {
      error: error
    }
  };
}
/**
 * Removes an error with the given id
 *
 * @export
 * @param {string} errorId
 * @returns {object}
 */


function removeError(errorId) {
  return {
    type: REMOVE_ERROR,
    payload: {
      errorId: errorId
    }
  };
}
/**
 * Resets errors back to the initial state
 *
 * @export
 * @returns {object}
 */


function resetErrors() {
  return {
    type: RESET_ERRORS
  };
}