"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = reducer;
exports.initialState = void 0;

var _immutable = require("immutable");

var _actions = require("./actions");

var initialState = new _immutable.Map({
  errors: new _immutable.OrderedMap(),
  hasError: false
});
exports.initialState = initialState;

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case _actions.ADD_ERROR:
      {
        var error = action.payload.error;
        return state.setIn(['errors', error.id], error).set('hasError', true);
      }

    case _actions.REMOVE_ERROR:
      {
        var errorId = action.payload.errorId;
        var updatedState = state.deleteIn(['errors', errorId]);

        if (updatedState.get('errors').size === 0) {
          return updatedState.set('hasError', false);
        }

        return updatedState;
      }

    case _actions.RESET_ERRORS:
      {
        return initialState;
      }

    default:
      return state;
  }
}