import * as actions from './actions';

describe('redux-module-errors actions', () => {
  it('has exported actions', () => {
    expect(actions.addError).toBeDefined();
    expect(actions.removeError).toBeDefined();
    expect(actions.resetErrors).toBeDefined();
  });

  describe('#addError', () => {
    it('can save an application error', () => {
      const error = {
        temporary: false,
        displayTitle: 'Error: Title',
        displaySubtitle: 'Error: Subtitle',
        code: 404,
        id: 'abc-123'
      };

      expect(actions.addError(error)).toMatchSnapshot();
    });
  });

  describe('#removeError', () => {
    it('can remove existing errors', () => {
      const errorId = 'abc-123-456';

      expect(actions.removeError(errorId)).toMatchSnapshot();
    });
  });

  describe('#resetErrors', () => {
    it('can reset errors', () => {
      expect(actions.resetErrors()).toMatchSnapshot();
    });
  });
});
